#![cfg_attr(nightly, feature(option_unwrap_none))]
#![cfg_attr(nightly, feature(never_type))] 

#![allow(dead_code)]

#![cfg_attr(nightly, feature(test))] 

#[cfg(all(nightly, test))] extern crate test;

use async_trait::async_trait;
use serde::{
    Serialize, Deserialize,
};

mod ext;
use ext::*;
mod bytes;
mod suspend;

mod cache;

mod config;
mod tripcode;
mod identity;
mod post;
mod state;

fn main() {
    println!("Hello, world!");
}
